Subject: Re: Anyone running GIT on native Windows

From: Johannes Sixt <[email-masked]>
Date: Fri, 11 May 2007 22:07:02 +0200

On Friday 11 May 2007 19:35, Han-Wen Nienhuys wrote:
> 2007/5/11, Johannes Sixt <[email-masked]>:
> > Han-Wen Nienhuys wrote:
> > > http://lilypond.org/git/binaries/mingw/git-1.5.1-1.mingw.exe
> >
> > This resulted in a mostly working git toolset after I've done this in
> > addition to installing it:
> >
> > - Installed MSYS (of course ;)
> > - Install libiconv-2.dll, which can be found in
> > diffutils-2.8.7-1-dep.zip from
>
> Can you be more specific? Which files required this?

git.exe, for example, hence, at least all builtins.

> It is entirely coincidental that another DLL from another package
> works, and it's a bug in our packaging.

Why should this not work? The diffutils package I mentioned is from MinGW.

Anyway, I think we should not link against libiconv*.dll at all because it 
slows down the startup too much.

> The path to Git should also have been set automatically. I will look into
> this.

Well, I did not reboot, or log out and in again. I just opened a CMD after the 
installation was complete. Usually, CMD picks up new PATHs if they have been 
modified via the Settings->System->Advanced (or whatsitcalled) tool. So, I 
thought it would be the same with installations.

-- Hannes